as.hclust {stats} | R Documentation

## Convert Objects to Class hclust

### Description

Converts objects from other hierarchical clustering functions to class `"hclust"`.

### Usage

    as.hclust(x, ...)

### Arguments

`x` | Hierarchical clustering object
`...` | further arguments passed to or from other methods.

### Details

Currently there is only support for converting objects of class `"twins"` as produced by the functions `diana` and `agnes` from the package cluster. The default method throws an error unless passed an `"hclust"` object.

### Value

An object of class `"hclust"`.

### See Also

`hclust`, and from package cluster, `diana` and `agnes`

### Examples

    x <- matrix(rnorm(30), ncol = 3)
    hc <- hclust(dist(x), method = "complete")

    if(require("cluster", quietly = TRUE)) {# is a recommended package
      ag <- agnes(x, method = "complete")
      hcag <- as.hclust(ag)
      ## The dendrograms order slightly differently:
      op <- par(mfrow = c(1,2))
      plot(hc) ;  mtext("hclust", side = 1)
      plot(hcag); mtext("agnes",  side = 1)
      detach("package:cluster")
    }

[Package stats version 3.6.0 Index]